Skip to main content
GET
/
cloud
/
v3
/
gpu
/
baremetal
/
{project_id}
/
{region_id}
/
flavors
List bare metal GPU flavors
curl --request GET \
  --url https://api.gcore.com/cloud/v3/gpu/baremetal/{project_id}/{region_id}/flavors \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "architecture": "x86_64",
      "capacity": 1,
      "disabled": false,
      "hardware_description": {
        "cpu": "1x Intel Xeon 4C/8T 3.7 GHz",
        "disk": "2x 250GiB SSD",
        "gpu": "1x NVIDIA 11GB",
        "network": "1x 500Mbps",
        "ram": "32 GiB"
      },
      "hardware_properties": {
        "gpu_count": 123,
        "gpu_manufacturer": "<string>",
        "gpu_model": "<string>",
        "nic_eth": "2x100;2x25",
        "nic_ib": "8x400"
      },
      "name": "g1-gpu-1-2-1",
      "reserved_capacity": 5,
      "supported_features": {
        "security_groups": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

Query Parameters

hide_disabled
boolean
default:false

Set to true to remove the disabled flavors from the response.

Example:

true

include_prices
boolean
default:false

Set to true if the response should include flavor prices.

Example:

true

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
(Bare metal GPU flavors chema without price · object | Bare metal GPU flavors chema with price · object)[]
required

Objects